import TaskFrontPage from './tfp.js'
import PageMetaData from './components/page/metadata.js'
import PageController from './components/page/controller.js'
import PageRender from './components/page/render.js'

var tfp = new TaskFrontPage();
tfp.metaDatas["Page"] = PageMetaData;
tfp.controllers["Page"] = PageController;
tfp.renders["Page"] = PageRender;

if(typeof(window) != "undefined") {
  window.tfp = tfp;
  tfp.extendSysObj();
  if(tfp.isDesigning) tfp.rootPath = "../tfp";
}

export default tfp;